com.opensymphony.xwork2.config

## Interface Configuration

- All Superinterfaces:
    Serializable
  All Known Implementing Classes:
    DefaultConfiguration, MockConfiguration

      public interface Configuration
      extends Serializable

  XWork configuration.
  Author:
    Mike

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPackageConfig(String name, PackageConfig packageConfig)`
    `void` | `destroy()` Allow the Configuration to clean up any resources that have been used.
    `Container` | `getContainer()`
    `Set<String>` | `getLoadedFileNames()`
    `PackageConfig` | `getPackageConfig(String name)`
    `Set<String>` | `getPackageConfigNames()`
    `Map<String,PackageConfig>` | `getPackageConfigs()`
    `RuntimeConfiguration` | `getRuntimeConfiguration()` The current runtime configuration.
    `List<UnknownHandlerConfig>` | `getUnknownHandlerStack()`
    `void` | `rebuildRuntimeConfiguration()`
    `List<PackageProvider>` | `reloadContainer(List<ContainerProvider> containerProviders)`
    `PackageConfig` | `removePackageConfig(String packageName)` Removes a package from the the list of packages.
    `void` | `setUnknownHandlerStack(List<UnknownHandlerConfig> unknownHandlerStack)`

- - ### Method Detail

    - #### rebuildRuntimeConfiguration

          void rebuildRuntimeConfiguration()

    - #### getPackageConfig

          PackageConfig getPackageConfig(String name)

    - #### getPackageConfigNames

          Set<String> getPackageConfigNames()

    - #### getPackageConfigs

          Map<String,PackageConfig> getPackageConfigs()

    - #### getRuntimeConfiguration

          RuntimeConfiguration getRuntimeConfiguration()

      The current runtime configuration. Currently, if changes have been made to the Configuration since the last time buildRuntimeConfiguration() was called, you'll need to make sure to.
      Returns:
        the current runtime configuration

    - #### addPackageConfig

          void addPackageConfig(String name,
                                PackageConfig packageConfig)

    - #### removePackageConfig

          PackageConfig removePackageConfig(String packageName)

      Removes a package from the the list of packages. Changes to the configuration won't take effect until buildRuntimeConfiguration is called.
      Parameters:
        `packageName` - the name of the package to remove
      Returns:
        the package removed (if any)

    - #### destroy

          void destroy()

      Allow the Configuration to clean up any resources that have been used.

    - #### reloadContainer

          List<PackageProvider> reloadContainer(List<ContainerProvider> containerProviders)
                                         throws ConfigurationException

      Parameters:
        `containerProviders` - list of container providers
      Returns:
        list of package providers
      Throws:
        `ConfigurationException` - in case of any configuration errors
      Since:
        2.1

    - #### getContainer

          Container getContainer()

      Returns:
        the container

    - #### getLoadedFileNames

          Set<String> getLoadedFileNames()

    - #### getUnknownHandlerStack

          List<UnknownHandlerConfig> getUnknownHandlerStack()

      Returns:
        list of unknown handlers
      Since:
        2.1

    - #### setUnknownHandlerStack

          void setUnknownHandlerStack(List<UnknownHandlerConfig> unknownHandlerStack)

      Parameters:
        `unknownHandlerStack` - list of unknown handlers
      Since:
        2.1

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.